Author Topic: Transition from i686 to pentium4  (Read 1002 times)

Bernhard Pöttinger

  • Newbie
  • *
  • Posts: 34
  • Karma: +2/-0
    • View Profile
Transition from i686 to pentium4
« on: April 05, 2022, 10:21:02 am »
I am trying to change my platform. I have changed the platform settings in anpm from i686 to pentium4. Then I have just updated os2-base to pentium4. After that I started an 'yum update' and all packages which have updates will be updated to platform pentium4. But now I have some problems with yum or rpm, for example:

Code: [Select]
{0}[c:\] yum list installed
Fehler: Failed to initialize NSS library
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   cannot import name ts

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.7.6 (default, May 16 2020, 17:42:14)
[GCC 9.2.0 20190812 (OS/2 RPM build 9.2.0-4.oc00)]

If you cannot solve this problem yourself, please go to
the yum faq at:
  http://yum.baseurl.org/wiki/Faq

After some retries the command runs ok.

best regards
bernhard
« Last Edit: April 06, 2022, 02:13:23 am by Martin Iturbide »

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3682
  • Karma: +36/-0
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Transition from i686 to pentium4
« Reply #1 on: April 06, 2022, 02:10:59 am »
Hi  Bernhard

I don't know much about the rpm mysteries. In my case the command "yum list installed" works.
The only hint I see is that it refers to the python package.

Can you check if you python and rpm packages are in pentium4 in ANPM?
Do you have python 3 also installed?

Regards
« Last Edit: April 06, 2022, 02:13:32 am by Martin Iturbide »
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Bernhard Pöttinger

  • Newbie
  • *
  • Posts: 34
  • Karma: +2/-0
    • View Profile
Re: Transition from i686 to pentium4
« Reply #2 on: April 07, 2022, 01:07:28 pm »
Hi Martin,
thx for your reply. All yum or rpm commands are showing this error. But not always. From 5 yum or rpm commands 3-4 will fail and 1-2 commnds are running correctly.

Quote
{0}[c:\] yum list installed |grep python
python.i686                          2.7.6-25.oc00                  installed
python-libs.i686                     2.7.6-25.oc00                  installed
python-pycurl.i686                   7.19.5.1-2.oc00                installed
python2-rpm.pentium4                 4.13.0-20.oc00                 installed

{0}[c:\] rpm -qa |grep python
Fehler: Failed to initialize NSS library

{1}[c:\] rpm -qa |grep python
Fehler: Failed to initialize NSS library

{1}[c:\] rpm -qa |grep python
python-libs-2.7.6-25.oc00.i686
python-pycurl-7.19.5.1-2.oc00.i686
python2-rpm-4.13.0-20.oc00.pentium4
python-2.7.6-25.oc00.i686

{0}[c:\]

Python3 is not installed on this vm. I will try it on an other physical Arcaos system.

Regards

Silvan Scherrer

  • Full Member
  • ***
  • Posts: 194
  • Karma: +1/-0
    • View Profile
Re: Transition from i686 to pentium4
« Reply #3 on: April 07, 2022, 05:43:05 pm »
Hi Martin,
thx for your reply. All yum or rpm commands are showing this error. But not always. From 5 yum or rpm commands 3-4 will fail and 1-2 commnds are running correctly.

Quote
{0}[c:\] yum list installed |grep python
python.i686                          2.7.6-25.oc00                  installed
python-libs.i686                     2.7.6-25.oc00                  installed
python-pycurl.i686                   7.19.5.1-2.oc00                installed
python2-rpm.pentium4                 4.13.0-20.oc00                 installed

{0}[c:\] rpm -qa |grep python
Fehler: Failed to initialize NSS library

{1}[c:\] rpm -qa |grep python
Fehler: Failed to initialize NSS library

{1}[c:\] rpm -qa |grep python
python-libs-2.7.6-25.oc00.i686
python-pycurl-7.19.5.1-2.oc00.i686
python2-rpm-4.13.0-20.oc00.pentium4
python-2.7.6-25.oc00.i686

{0}[c:\]

Python3 is not installed on this vm. I will try it on an other physical Arcaos system.

Regards
when they fail with the nss error. do you have some firefox running?
kind regards
Silvan
CTO bww bitwise works GmbH

Please help us with donations, so we can further work on OS/2 based projects. Our Shop is at https://www.bitwiseworks.com/shop/index.php

Bernhard Pöttinger

  • Newbie
  • *
  • Posts: 34
  • Karma: +2/-0
    • View Profile
Re: Transition from i686 to pentium4
« Reply #4 on: April 08, 2022, 09:10:30 am »
Hallo Silvan,
no I have no firefox running. I have this behave only in my vbox VM (5.0.51) running on top of ArcaOS.
I have done the same procedure on a physical machine and I have no problems with yum / rpm. Maybe it is a timing problem on my vm, that python does not load its modules fast enough.
best regards
bernhard